Bug 663897

Summary: ipplan using deprecated function set_magic_quotes_runtime() in php 5.3.3
Product: [Fedora] Fedora Reporter: Per Sjoholm <Per.t.Sjoholm>
Component: ipplanAssignee: Andrew Colin Kissa <andrew>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 13CC: andrew, fedora
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: ipplan-4.92-5.a.fc15 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 799406 (view as bug list) Environment:
Last Closed: 2011-02-21 07:25:48 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 799406    

Description Per Sjoholm 2010-12-17 09:07:36 UTC
Description of problem:
PHP 5.3.3 (Linux)
Unknown error type: [8192] Function set_magic_quotes_runtime() is deprecated Line: 57 File: /usr/share/ipplan/ipplanlib.php
Function eregi_replace() is deprecated
...

Version-Release number of selected component (if applicable):
ipplan-4.92-3.fc12.noarch

How reproducible:
Always

Steps to Reproduce:
1. Install
2. Configure
3. run
  
Actual results:
In red
If you see this message, submit a detailed bug report on Sourceforge including the message below, the database platform used and the steps to perform to recreate the problem.

PHP 5.3.3 (Linux)
Unknown error type: [8192] Function set_magic_quotes_runtime() is deprecated
......

Expected results:
No error

Additional info:

Has been fixed in 4.92a
see
http://sourceforge.net/tracker/index.php?func=detail&aid=3007719&group_id=32122&atid=404402
Comment:
Date: 2010-05-27 21:19:11 UTC
This has been fixed in v4.92a - please upgrade to the latest version.

Comment 1 Fedora Update System 2011-02-12 11:12:41 UTC
ipplan-4.92-4.a.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/ipplan-4.92-4.a.fc13

Comment 2 Fedora Update System 2011-02-12 11:12:48 UTC
ipplan-4.92-4.a.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/ipplan-4.92-4.a.el5

Comment 3 Fedora Update System 2011-02-12 11:12:54 UTC
ipplan-4.92-4.a.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ipplan-4.92-4.a.fc14

Comment 4 Fedora Update System 2011-02-12 11:19:29 UTC
ipplan-4.92-5.a.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ipplan-4.92-5.a.fc15

Comment 5 Fedora Update System 2011-02-13 00:21:59 UTC
ipplan-4.92-4.a.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ipplan'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/ipplan-4.92-4.a.el5

Comment 6 Fedora Update System 2011-02-21 07:25:43 UTC
ipplan-4.92-4.a.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2011-02-21 07:31:24 UTC
ipplan-4.92-4.a.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2011-02-28 23:55:13 UTC
ipplan-4.92-4.a.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2011-03-03 03:35:05 UTC
ipplan-4.92-5.a.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Manuel Faux 2012-03-02 16:57:01 UTC
This bug still persists in el6 EPEL. I've filed a follow-up bug: #799406